### Signal

# WebKit WebView::query-permission-state

since: 2.40

#### Declaration

    gboolean
    query_permission_state (
      WebKitWebView* self,
      WebKitPermissionStateQuery* query,
      gpointer user_data
    )

#### Description [src]

This signal allows the User-Agent to respond to permission requests for powerful features, as specified by the Permissions W3C Specification. You can reply to the query using webkit_permission_state_query_finish().

You can handle the query asynchronously by calling `webkit_permission_state_query_ref()` on `query` and returning `TRUE`. If the last reference of `query` is removed and the query has not been handled, the query result will be set to `WEBKIT_QUERY_PERMISSION_PROMPT`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.40

#### Parameters

`query`

  Type: `WebKitPermissionStateQuery`

  The `WebKitPermissionStateQuery`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the message was handled, or `FALSE` otherwise.